Subject: Re: linux-next: Tree for Jan 7 (drivers/gpu/drm/imx/parallel-display.o)

From: Philipp Zabel <[email-masked]>
Date: Fri, 08 Jan 2021 11:17:32 +0100

On Fri, 2021-01-08 at 10:03 +0100, Daniel Vetter wrote:
> On Fri, Jan 8, 2021 at 9:55 AM Randy Dunlap <[email-masked]> wrote:
> > On 1/6/21 7:01 PM, Stephen Rothwell wrote:
> > > Hi all,
> > > 
> > > Changes since 20210106:
> > > 
> > 
> > on x86_64:
> > 
> > ld: drivers/gpu/drm/imx/parallel-display.o: in function `imx_pd_connector_get_modes':
> > parallel-display.c:(.text+0x8d): undefined reference to `of_get_drm_display_mode'
>
> Probably something in the pull from philipp that I just merged
> yesterday.

That is likely, although I'm not quite sure how that activated, the
of_get_drm_display_mode call was there before.

> Philip, can you pls take care?
> -Daniel

Thank you for the notice, since the of_get_drm_display_mode() is only
for legacy device trees I'd like to stub it out and keep compile test
coverage:

https://lore.kernel.org/dri-devel/[email-masked]/T/#u

regards
Philipp